Package Details: mudlet-git r1828.gce1845598-1

Git Clone URL: https://aur.archlinux.org/mudlet-git.git (read-only, click to copy)
Package Base: mudlet-git
Description: A modern MUD client with a graphical user inteface and built in Lua scripting (git development branch
Upstream URL: http://www.mudlet.org
Licenses: GPL
Conflicts: mudlet
Submitter: Xabre
Maintainer: Xabre
Last Packager: Xabre
Votes: 2
Popularity: 0.000002
First Submitted: 2020-03-25 21:36 (UTC)
Last Updated: 2023-03-22 15:24 (UTC)

Dependencies (21)

Required by (0)

Sources (1)

Pinned Comments

Xabre commented on 2023-03-22 15:34 (UTC) (edited on 2023-03-22 15:37 (UTC) by Xabre)

Now that stable 4.17 release is out, this mudlet-git package has been switched to using Qt6 instead of 5, since Qt6 is future. Currently it builds and seems to work with few caveats: 1) qt6-multimedia which is needed for sound in Mudlet is still a work in progress, thus at this moment sounds won't work, 2) since this is the first time cmake build is used, it seems that some of the 3rd party dependancies that are built during compilation are being built using hardcoded system paths (libraries like libqslog.so need to be exactlx in /usr/lib or Mudlet won't start even though it compiles and installs successfully), so keep in mind for potential conflicts. As a consequence of those hardcoded paths, this package now installs with /usr prefix and can no longer be installed alongisde stable mudlet. Other than that, please let me know if there are other problems. :)

Xabre commented on 2020-03-25 21:50 (UTC)

Since Mudlet devs could use all help with testing Mudlet before new releases, decided to recreate mudlet-git package. Please test and report bugs to Mudlet devs over on Github (https://github.com/Mudlet/Mudlet/issues) or join the Mudlet's discord channel and whine at them there. ;)

Latest Comments

Xabre commented on 2023-03-22 15:34 (UTC) (edited on 2023-03-22 15:37 (UTC) by Xabre)

Now that stable 4.17 release is out, this mudlet-git package has been switched to using Qt6 instead of 5, since Qt6 is future. Currently it builds and seems to work with few caveats: 1) qt6-multimedia which is needed for sound in Mudlet is still a work in progress, thus at this moment sounds won't work, 2) since this is the first time cmake build is used, it seems that some of the 3rd party dependancies that are built during compilation are being built using hardcoded system paths (libraries like libqslog.so need to be exactlx in /usr/lib or Mudlet won't start even though it compiles and installs successfully), so keep in mind for potential conflicts. As a consequence of those hardcoded paths, this package now installs with /usr prefix and can no longer be installed alongisde stable mudlet. Other than that, please let me know if there are other problems. :)

Xabre commented on 2021-09-20 09:32 (UTC)

Just a small dependancy update, lua51-utf8 is now in [community] as lua51-luautf8.

Xabre commented on 2020-11-03 21:59 (UTC)

Moved to better versioning ( latest_revision.latest_commit), previously it relied on latest git tag (4.6.1) which was very old and might have confused people given that stable version is much higher. AUR helpers might warn you about downgrade, but it isn't.

Xabre commented on 2020-06-13 13:56 (UTC)

Can now be installed side by side with stable Mudlet, this one is installed in /opt/mudlet, has it's own icon and desktop file.

Xabre commented on 2020-05-03 17:31 (UTC)

Was a bit overzealous with versioning, now it looks more reasonable. Also, now using system qtkeychain.

Xabre commented on 2020-03-25 21:50 (UTC)

Since Mudlet devs could use all help with testing Mudlet before new releases, decided to recreate mudlet-git package. Please test and report bugs to Mudlet devs over on Github (https://github.com/Mudlet/Mudlet/issues) or join the Mudlet's discord channel and whine at them there. ;)